package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag799;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT799Creator;

import java.util.List;

/**
 * @author wuzhe
 * @date 2023/3/3
 */
public class Tag79Creator extends AbsTagCreate {

     private MT799Creator mt799Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt799Creator= (MT799Creator) absMTCreator;
    }

    public  void creator()
    {
        List<String> tag79Value = mt799Creator.getNarrative();
        mt799Creator.set("79",tag79Value,true);
    }
}
